Skip to main content
GET
/
allocations
List allocations
curl --request GET \
  --url https://www.ruddr.io/api/workspace/allocations \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3f8a1d2e-7c4b-4e9f-a6d5-1b2c3d4e5f6a",
      "resourceTypeId": "member",
      "assignmentTypeId": "project",
      "start": "2025-03-01",
      "end": "2025-05-31",
      "unit": "day",
      "hoursPerDay": 6.5,
      "hoursPerWeek": null,
      "hoursPerMonth": null,
      "hoursPerAllocation": null,
      "hoursRatioOfCapacity": null,
      "allocateOnTimeOffDays": false,
      "totalHours": 422.5,
      "isBillable": true,
      "notes": "Q2 product roadmap delivery",
      "readOnly": false,
      "entity": "allocation",
      "createdAt": "2025-01-10T14:22:35.418Z",
      "member": {
        "id": "9b7e6d5c-4a3f-4b2e-8c1d-0e9f8a7b6c5d",
        "name": "Jane Smith"
      },
      "placeholder": null,
      "project": {
        "id": "c2d3e4f5-a6b7-4c8d-9e0f-1a2b3c4d5e6f",
        "name": "Website Redesign",
        "client": {
          "id": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",
          "name": "Acme Corp"
        }
      },
      "role": {
        "id": "d4e5f6a7-b8c9-4d0e-af1b-2c3d4e5f6a7b",
        "name": "Senior Engineer"
      },
      "task": {
        "id": "e5f6a7b8-c9d0-4e1f-b2a3-4c5d6e7f8a9b",
        "name": "Backend Development"
      },
      "timeOffType": null
    }
  ],
  "hasMore": false
}
A resource allocation for a member or placeholder.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
string

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

assignmentTypeId
string

Filter by the assignment type of the allocation. Can be either "project" (Project) or "time_off" (Time Off).

memberId
string

A member ID (uuid) used to filter allocations for a specific member.

startBefore
string<date>

A filter on the list based on the allocation's start field in the format YYYY-MM-DD. This will match dates before (<) the date specified.

startOnBefore
string<date>

A filter on the list based on the allocation's start field in the format YYYY-MM-DD. This will match dates on and before (<=) the date specified.

endAfter
string<date>

A filter on the list based on the allocation's end field in the format YYYY-MM-DD. This will match dates after (>) the date specified.

endOnAfter
string<date>

A filter on the list based on the allocation's end field in the format YYYY-MM-DD. This will match dates on and after (>=) the date specified.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.